API referenceProjects

The project map

Chapters, blocks and scenes with film windows, briefs, states, and the words heard in each scene on the scene clock as [word, start_sec, end_sec]; the tempo summary; what is left to do.

?words=false drops the words. Free.

GET
/projects/{id}/map

Authorization

bearerAuth
AuthorizationBearer <token>

Typecut API key. Generate one in app.typecut.ai → Settings → API keys. Send as Authorization: Bearer tc_live_….

In: header

Path Parameters

id*string
Formatuuid

Query Parameters

words?string
Value in"true" | "false"

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/map"
{
  "data": {}
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string"
  }
}